Altibase.jdbc.driver.datatype

## Class ArrayListRowHandle

- java.lang.Object
- - Altibase.jdbc.driver.datatype.ArrayListRowHandle

All Implemented Interfaces:
  BatchRowHandle, RowHandle

    public class ArrayListRowHandle
    extends java.lang.Object
    implements RowHandle

Forward Only이고 ResultSet이 한개일때 Row 데이터를 저장하기 위한 클래스.
RowHandle처럼 DynamicArray를 사용하지 않고 java.util.ArrayList를 이용해 컬럼 데이터를 저장한다.

### Constructor Summary

Constructors
Constructor and Description
`ArrayListRowHandle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterLast()`
`void` `beforeFirst()`
`void` `changeBindColumnType(int aIndex, Column aColumn, ColumnInfo aColumnInfo, byte aInOutType)` 기존 Bind Column에 새로운 Type으로 바인딩이 된 경우 해당하는 값의 type으로 bind column type을 변경한다.
`void` `delete()`
`DynamicArray` `getDynamicArray(int aIndex)`
`int` `getPosition()`
`void` `increaseStoreCursor()`
`void` `initToStore()` DataHandle 을 초기화 한다.
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `next()`
`boolean` `previous()`
`void` `reload()`
`void` `setColumns(java.util.List<Column> aColumns)` DataHandle 에 Binding 할 Column 들을 setting 한다.
`boolean` `setPosition(int aIndex)`
`void` `setPrepared(boolean aIsPrepared)`
`int` `size()` DataHandle 에 저장된 작업 숫자를 반환 한다.
`void` `store()` DataHandle 에 Binding 된 작업을 저장한다.
`void` `update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayListRowHandle

    public ArrayListRowHandle()

### Method Detail

#### size

    public int size()

Description copied from interface: `BatchRowHandle`
DataHandle 에 저장된 작업 숫자를 반환 한다.

Specified by:
  `size` in interface `BatchRowHandle`
Returns:
  현재 까지 저장된 작업 숫자

#### store

    public void store()
               throws java.sql.SQLException

Description copied from interface: `BatchRowHandle`
DataHandle 에 Binding 된 작업을 저장한다.

Specified by:
  `store` in interface `BatchRowHandle`
Throws:
  `java.sql.SQLException`

#### initToStore

    public void initToStore()

Description copied from interface: `BatchRowHandle`
DataHandle 을 초기화 한다.

Specified by:
  `initToStore` in interface `BatchRowHandle`

#### setColumns

    public void setColumns(java.util.List<Column> aColumns)

Description copied from interface: `BatchRowHandle`
DataHandle 에 Binding 할 Column 들을 setting 한다.

Specified by:
  `setColumns` in interface `BatchRowHandle`

#### changeBindColumnType

    public void changeBindColumnType(int aIndex,
                                     Column aColumn,
                                     ColumnInfo aColumnInfo,
                                     byte aInOutType)

Description copied from interface: `BatchRowHandle`
기존 Bind Column에 새로운 Type으로 바인딩이 된 경우 해당하는 값의 type으로 bind column type을 변경한다.

Specified by:
  `changeBindColumnType` in interface `BatchRowHandle`
Parameters:
  `aIndex` - 컬럼인덱스 (base 0)
  `aColumn` - Column 정보
  `aColumnInfo` - Column 메타정보
  `aInOutType` - InOutType 정보

#### increaseStoreCursor

    public void increaseStoreCursor()

Specified by:
  `increaseStoreCursor` in interface `RowHandle`

#### beforeFirst

    public void beforeFirst()

Specified by:
  `beforeFirst` in interface `RowHandle`

#### setPrepared

    public void setPrepared(boolean aIsPrepared)

Specified by:
  `setPrepared` in interface `RowHandle`

#### getDynamicArray

    public DynamicArray getDynamicArray(int aIndex)

Specified by:
  `getDynamicArray` in interface `RowHandle`

#### next

    public boolean next()

Specified by:
  `next` in interface `RowHandle`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in interface `RowHandle`

#### getPosition

    public int getPosition()

Specified by:
  `getPosition` in interface `RowHandle`

#### isBeforeFirst

    public boolean isBeforeFirst()

Specified by:
  `isBeforeFirst` in interface `RowHandle`

#### isFirst

    public boolean isFirst()

Specified by:
  `isFirst` in interface `RowHandle`

#### isLast

    public boolean isLast()

Specified by:
  `isLast` in interface `RowHandle`

#### setPosition

    public boolean setPosition(int aIndex)

Specified by:
  `setPosition` in interface `RowHandle`

#### afterLast

    public void afterLast()

Specified by:
  `afterLast` in interface `RowHandle`

#### previous

    public boolean previous()

Specified by:
  `previous` in interface `RowHandle`

#### delete

    public void delete()

Specified by:
  `delete` in interface `RowHandle`

#### reload

    public void reload()

Specified by:
  `reload` in interface `RowHandle`

#### update

    public void update()

Specified by:
  `update` in interface `RowHandle`